### Joystream Sticker Competition Report
Author: @tomato
Date: 15/03/2021

### Links
* Original bounty: https://testnet.joystream.org/#/forum/threads/157
* `Spending Proposal` for management of competition: https://testnet.joystream.org/#/proposals/69
* Process for sticker competition: https://github.com/Joystream/community-repo/blob/master/community-contributions/miscellaneous_reports/Telegram%20Stickers%20Bounty.md
* Thread for sticker competition: https://testnet.joystream.org/#/forum/threads/169
* Report covering progress of Sticker Competition: https://testnet.joystream.org/#/proposals/126
* Proposal to amend original deadline for grand prize: https://testnet.joystream.org/#/proposals/129
* Proposal to amend competition and remove grand prize and replace with 2 extra entries: https://testnet.joystream.org/#/proposals/181

### Competition Status
Competition start date: 22/12/2020
Competition end date: 14/03/2021
Duration: 82 days (11 weeks, 5 days)

The competition has concluded. After amendments of the competition rules, 12 entries were accepted and have been added to the community repo in PNG format; each entry is placed in a folder with its proposal number + contributing member name.

### Proposals
Proposals are contained in the file sticker_competition_overview.md

### Financial status:
* Payout for management of competition: 2096000 JOY (~$100) 
* Payout for all competition entries: 5751454 JOY (~$258)
* Total competition payout: 7847454 JOY (~$313 using exchange rate at end of contest--0.0000404)
* Total payout as described in competition thread: $300. This means that approximately $42 was not spent.

## Notes:
* All approved stickers appear to be consistent with the platform rules
* All approved stickers feature the Joystream branding to some extent

## Issues + Observations:
- Asking users to use the Proposal system appears to be cumbersome for this kind of use case. A number of issues became apparent due to this:
	- Council Members being unaware of the competition, its rules or the agreed upon payout terms.
	- Entrants not following the rules of the competition (such as submitting a Pull Request) or submitting multiple Stickers in one proposal.
	- Some users requested far less than the amount that they were meant to be paid.
	- Varying exchange rate adds another step of complexity for users (as they have to calculate the rewards).
	- Due to council inactivity several proposals expired. This can likely be either due to council members being inactive, or being hesitant to vote for proposals relating to this competition when they were unfamiliar with the rules/procedures.
	- It is extremely time consuming as it ends up creating so many proposals.
	- It doesn't involve the community in the voting process which seems extremely short sighted.
	- It is impossible to predict how long proposals will take to be voted on, this means it is inherently difficult to set clear deadlines, as some proposals may still be in the active state.
- Complexity
	- Entering the competition properly required knowledge of at least 4 different pieces of software (image editor, Telegram, GitHub, Joystream). This may have made things a bit complex and maybe in the future competitions can require less.
	- The competition did seem to raise awareness of the `Spending Proposal` functionality of the platform, which is a big bonus.
- Understanding use of platform assets
	- Some council members were unclear about why the competition was continuing given that we moved from Telegram to Discord during the competition.
	- It wasn't made clear that with or without Telegram, all the approved submissions would be added to the community repo under a permissive license, allowing them to be reused and repurposed in the future.
	- The requirements for entry were clear but seem like they were too difficult for users to understand, some users submitted multiple stickers in a single entry or spread entries across multiple `Spending Proposals`
- Delays
	- Due to a number of reasons there were delays with some aspects of the competition, this means the initial expected duration of approximately 30 days was exceeded by 173%.
- Complaints
	- There do not appear to have been any significant complaints from entrants; for entrants that had their proposals expire, they seemed happy to resubmit after some period of time.
	- Some other members of the platform felt that the number of proposals resulting from this competition was excessive. It did seem to have an impact on several other important areas of the platform (such as completing Council KPIs and replenishing mints for WGs)

## Suggestions for improving future competitions
- Have a clearer set of instructions
	- This should maybe include a beginners guide to GitHub PR submission (or maybe avoiding this entirely)
	- It should include a clearer set of formatting guidelines
	- It should place the onus on following submission rules solely on entrants and a Bounty/Competition manager, rather than expecting the council to parse through the rules and make judgements (on top of having to make a creative judgement of submitted work)
- Completely avoid having users submit `Spending Proposals` directly to the Council.
	- Instead, a `Bounty Manager` should elect a method of allowing submissions and some way for the community to vote.
	- The `Bounty Manager` should be responsible for organizing payment to any winners.
	- This has the bonus of involving the community in deciding winners
	- This also means the council is detached from making creative decisions (this can either be seen as a plus or negative depending on your opinion). IMHO the Council should have extremely limited involvement in creative decisions.

### Conclusion:
This is the first competition on the platform, so there were several teething issues but there were some positive outcomes:
* Overall, the competition attracted some great entries which have seen repeated use on Telegram. It has also been surprising to see how well some of the entries have helped to cement Joystream's branding (particularly using the characters, such as "beard man" from the Founding Members repo.)
* It has also helped to distribute tokens to newer users of the platform; almost all submissions appear to have come from relatively new accounts.
* It has started to build up a library of GPL v3 assets on the community repo which can now be repurposed for other uses.
* Even though we migrated from Telegram to Discord while this competition took place, Discord is testing Stickers as a feature so they may have some use on Discord at a later date.