# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 478800 - 594000
* Date Range: 5/10/2021 - 5/18/2021
* Council session #: 4

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  609268044 | 634576459 | 4.15 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 6646358           | 
| Spending Proposals (Executed)   |  54563370                  |
| Bounties paid       |  27281685                           |
| Validator Role      |  8299758            | 
| Council Role        | 0             | 
| Storage Role        | 3400224             | 
| Curator Role        | 5606496             |


### 2.3 Mints 
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 100409182  |  135466867 |34.91          |
| Curator Mint Total Minted   |  6735808 | 12118377| 79.91          |
| Storage Mint Total Minted   |  3452244 |  6950839            |  101.34        |

## 3.0 Council
* Council session #: 4
* Number of council members: 16
* Total number of proposals: 18
* Total number of Approved proposals: 19

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            |20              |
| Total Applicant Stake       |13725334              |
| Total Votes                 |46             |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                    | Start Block | End Block | % Change |
|-----------------------------|--------------|--------------|----------|
| Number of Validators       |  100 / 100 | 100 / 100 | 0 |
| Validator Total Stake       | 130687725 | 143791220 | 10.03 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 7  |  6 | -14.29 |
| Total Storage Stake (workers + lead)  | 50000 |  50000 | 0 |   

Role occupants:  
@joystream_storage_member | (5EyTk4G9zt5wApxwK6MbPWQfRY6xy2nxfq8V6EXWfHxP5jou)  
@kalpakci | (5FxJ7z9tnscgL9xeqeo8sB3izwJKszFPdJSpRPWFr1y35Gcw)  
@0x2bc | (5DX9Vvk4uP8YNFSsvWGbjBcTG21PJbeLpgTRgCVpGQg2bDSx)  
@julysake | (5CFnUMpSNxXSkb3p2yaqw2rCdyqZbAUtx9SQVkPBYL5P5Jku)  
@joystreamstats | (5C8BEb4AwVmDnxkZmbh4PVxJR5TMQ7QxU6nZtYkqTAvXhUP3)  
@maks_malensek | (5GYWp1NM9J21QZzkouCDKCuBCnu92o921ySEcxdas2s3pUCg)  


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 4 | 6 | 50 |   

Role occupants:  
@l1dev | (5DFb8Xr8FfQyiFMjURjQHqHfunfEb4jWLhF5q4HR6EHiJTe8)  
@prontera | (5F1vpNLWyXPhC6ydftv33XUmXaG1F6HrStYivfzvcnxX68Sn)  
@oiclid | (5GW7zRKYs2hVa4zAzA2ZspuFgVF7DBvCftmdBdfZAbb98k25)  
@joystream_storage_member | (5EyTk4G9zt5wApxwK6MbPWQfRY6xy2nxfq8V6EXWfHxP5jou)  
@meskalin | (5GRBP7dYbiWxWLyo9u8V3KQ9sTbTEvtRkxJk28yR4rvuZTqF)  
@leet_joy | (5EqVuvYEyzCa7xuEZYw9FM5Vkd7FaTcq5CKKN2LuSNqqv8FP)  


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2163|  2187 | 1.11 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 486 | 556  |  14.4 |
| Size of content (MB)        |  97016.89 |  100139.08 | 3.22          |
| Number of channels      |  58 | 63 | 8.62 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 50 | 50 | 0         |
| Number of threads    | 393| 406 | 3.31         |
| Number of posts      | 2671 | 2847            |  6.59        |