# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 680400 - 781200
* Date Range: 5/24/2021 - 5/31/2021
* Council session #: 6

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  705150301 | 756440054 | 7.27 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 4628600           | 
| Spending Proposals (Executed)   |  24412018                  |
| Bounties paid       |  3572490                           |
| Validator Role      |  4168763            | 
| Council Role        | 0             | 
| Storage Role        | 4154612             | 
| Curator Role        | 4748380             |


### 2.3 Mints 
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 143965451  |  151425941 |5.18          |
| Curator Mint Total Minted   |  16173249 | 20522135| 26.89          |
| Storage Mint Total Minted   |  10983531 |  14673281            |  33.59        |

## 3.0 Council
* Council session #: 6
* Number of council members: 16
* Total number of proposals: 26
* Total number of Approved proposals: 20

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            |24              |
| Total Applicant Stake       |37623100              |
| Total Votes                 |48             |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6

| Property                    | Start Block | End Block | % Change |
|-----------------------------|--------------|--------------|----------|
| Number of Validators       |  100 / 100 | 103 / 103 | 3 |
| Validator Total Stake       | 162428612 | 179053693 | 10.24 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 6  |  6 | 0 |
| Total Storage Stake (workers + lead)  | 100000 |  100000 | 0 |   

Role occupants:  
@palacinkar | (5Dy7z6RZGeGxusLPP1du5fmw8f7HxZd9V6FPcmgTFsFAp3da)  
@joystream_storage_member | (5EyTk4G9zt5wApxwK6MbPWQfRY6xy2nxfq8V6EXWfHxP5jou)  
@kalpakci | (5FxJ7z9tnscgL9xeqeo8sB3izwJKszFPdJSpRPWFr1y35Gcw)  
@0x2bc | (5DX9Vvk4uP8YNFSsvWGbjBcTG21PJbeLpgTRgCVpGQg2bDSx)  
@julysake | (5CFnUMpSNxXSkb3p2yaqw2rCdyqZbAUtx9SQVkPBYL5P5Jku)  
@joystreamstats | (5C8BEb4AwVmDnxkZmbh4PVxJR5TMQ7QxU6nZtYkqTAvXhUP3)  


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 5 | 5 | 0 |   

Role occupants:  
@l1dev | (5DFb8Xr8FfQyiFMjURjQHqHfunfEb4jWLhF5q4HR6EHiJTe8)  
@prontera | (5F1vpNLWyXPhC6ydftv33XUmXaG1F6HrStYivfzvcnxX68Sn)  
@joystream_storage_member | (5EyTk4G9zt5wApxwK6MbPWQfRY6xy2nxfq8V6EXWfHxP5jou)  
@joystream_storage_member | (5EyTk4G9zt5wApxwK6MbPWQfRY6xy2nxfq8V6EXWfHxP5jou)  
@meskalin | (5GRBP7dYbiWxWLyo9u8V3KQ9sTbTEvtRkxJk28yR4rvuZTqF)  


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2214|  2240 | 1.17 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 0 | 256  |  Infinity |
| Size of content (MB)        |  0 |  26044.91 | Infinity          |
| Number of channels      |  0 | 93 | Infinity |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 51 | 53 | 3.92         |
| Number of threads    | 416| 429 | 3.13         |
| Number of posts      | 2936 | 3065            |  4.39        |