# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1184400 - 1285200
* Date Range: 6/29/2021 - 7/6/2021
* Council session #: 11

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  872545399 | 919445335 | 5.38 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 10000384           | 
| Spending Proposals (Executed)   |  37812030                  |
| Bounties paid       |  15906015                           |
| Validator Role      |  6082007            | 
| Council Role        | 0             | 
| Storage Role        | 8420300             | 
| Curator Role        | 7350840             |
| Operations Role     | 3850364          |


### 2.3 Mints 
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 253463583  |  276257598 |8.99          |
| Curator Mint Total Minted   |  47828342 | 55348392| 15.72          |
| Storage Mint Total Minted   |  30370787 |  38281087            |  26.05        |
| Operations Mint Total Minted   |  3671260 |  6947086            |  89.23        |

## 3.0 Council
* Council session #: 11
* Number of council members: 16
* Total number of proposals: 23
* Total number of Approved proposals: 23

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            |25              |
| Total Applicant Stake       |12292321              |
| Total Votes                 |62             |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                    | Start Block | End Block | % Change |
|-----------------------------|--------------|--------------|----------|
| Number of Validators       |  105 / 105 | 105 / 105 | 0 |
| Validator Total Stake       | 244291122 | 252928372 | 3.54 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 10  |  11 | 10 |
| Total Storage Stake (workers + lead)  | 450000 |  850000 | 88.89 |   

Role occupants:  
@joystreamstats | (5C8BEb4AwVmDnxkZmbh4PVxJR5TMQ7QxU6nZtYkqTAvXhUP3)  
@julysake | (5CFnUMpSNxXSkb3p2yaqw2rCdyqZbAUtx9SQVkPBYL5P5Jku)  
@0x2bc | (5DX9Vvk4uP8YNFSsvWGbjBcTG21PJbeLpgTRgCVpGQg2bDSx)  
@kalpakci | (5FxJ7z9tnscgL9xeqeo8sB3izwJKszFPdJSpRPWFr1y35Gcw)  
@palacinkar | (5Dy7z6RZGeGxusLPP1du5fmw8f7HxZd9V6FPcmgTFsFAp3da)  
@nexusfallout | (5FMrFXCbhtdv4tG5XaPsG3MyS6u36ZfsdCoHZxk4cTGdE56D)  
@joystream_storage_member | (5EyTk4G9zt5wApxwK6MbPWQfRY6xy2nxfq8V6EXWfHxP5jou)  
@seainvestor | (5CA73jgvw1WK1sxmNky1Nvd3rFQg9jR6sYh46eHKncZcciAR)  
@maxlevush | (5Gy9eib5P1vB4Tvr9u74J7rhxvHqv5qhTdP3xwFfkArHQWPe)  
@joyval | (5CyYw8yjJ1VYnqBJcNTwBegZKfmrWFVMukqEE96UyrWzwfiu)  
@dapplooker | (5GvFLWbDLvs6CmBo2LZ15A4Vj15Fy8TzBd1sMWoLmdNe55nM)  


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 9 | 9 | 0 |   

Role occupants:  
@igrex | (5H3hJqNb8Je2sfcGkxFQqsxn1FTy96bHrRW6wGCDwiLeCW1i)  
@leet_joy | (5EqVuvYEyzCa7xuEZYw9FM5Vkd7FaTcq5CKKN2LuSNqqv8FP)  
@meskalin | (5GRBP7dYbiWxWLyo9u8V3KQ9sTbTEvtRkxJk28yR4rvuZTqF)  
@prontera | (5F1vpNLWyXPhC6ydftv33XUmXaG1F6HrStYivfzvcnxX68Sn)  
@l1dev | (5DFb8Xr8FfQyiFMjURjQHqHfunfEb4jWLhF5q4HR6EHiJTe8)  
@lyazufey1812 | (5C5oxKQjb2TuqDPoC9GAVDJhH8FBG3Qe2Z139wMVFLo6FfZT)  
@maxlevush | (5Gy9eib5P1vB4Tvr9u74J7rhxvHqv5qhTdP3xwFfkArHQWPe)  
@kiraa | (5G9Bpf8dgSgojMZyjCHMcGdvYpxX1gdgeUtnKahcY45Hysbm)  
@oiclid | (5GW7zRKYs2hVa4zAzA2ZspuFgVF7DBvCftmdBdfZAbb98k25)  


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 4 | 8 | 100 |
| Total Operations Stake (workers + lead)  | 150000 |  3650000 | 2333.33 |

Role occupants:  
@l1dev | (5DFb8Xr8FfQyiFMjURjQHqHfunfEb4jWLhF5q4HR6EHiJTe8)  
@isonar | (5HT8Mty5U5hFKVwv24uFswX2e41vurU3F5rkLMoETR8XmjFy)  
@nexusfallout | (5FMrFXCbhtdv4tG5XaPsG3MyS6u36ZfsdCoHZxk4cTGdE56D)  
@freakstatic | (5FVxUFN6fQFXrrV4FvhEDQUwefzwu9g1SrZCryiKrFhUiVc1)  
@stwoof | (5CoTKA1x4mox5CKjd4R7AC6sNazbeY5xXv7xDHv47A9jw2w7)  
@maxlevush | (5Gy9eib5P1vB4Tvr9u74J7rhxvHqv5qhTdP3xwFfkArHQWPe)  
@drmarkovi | (5DtJN6fvxbyuA9DiHTXRMRLLEkTk7VZoN1qTw11dCRebWaGu)  
@dapplooker | (5GvFLWbDLvs6CmBo2LZ15A4Vj15Fy8TzBd1sMWoLmdNe55nM)  


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2371|  2441 | 2.95 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 1680 | 2077  |  23.63 |
| Size of content (MB)        |  175785.38 |  218053.07 | 24.05          |
| Number of channels      |  212 | 251 | 18.4 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 55 | 0         |
| Number of threads    | 470| 479 | 1.91         |
| Number of posts      | 3592 | 3684            |  2.56        |