# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 882000 - 982800
* Date Range: 6/7/2021 - 6/15/2021
* Council session #: 8

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  790400718 | 828630266 | 4.84 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 3500000           | 
| Spending Proposals (Executed)   |  56559612                  |
| Bounties paid       |  23793787                           |
| Validator Role      |  10311013            | 
| Council Role        | 0             | 
| Storage Role        | 3753540             | 
| Curator Role        | 7615160             |


### 2.3 Mints 
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 163947460  |  191629247 |16.88          |
| Curator Mint Total Minted   |  24614982 | 32110442| 30.45          |
| Storage Mint Total Minted   |  18666302 |  22479362            |  20.43        |

## 3.0 Council
* Council session #: 8
* Number of council members: 16
* Total number of proposals: 19
* Total number of Approved proposals: 15

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            |21              |
| Total Applicant Stake       |9863488              |
| Total Votes                 |67             |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                    | Start Block | End Block | % Change |
|-----------------------------|--------------|--------------|----------|
| Number of Validators       |  105 / 105 | 105 / 105 | 0 |
| Validator Total Stake       | 198505250 | 221508441 | 11.59 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 6  |  6 | 0 |
| Total Storage Stake (workers + lead)  | 100000 |  100000 | 0 |   

Role occupants:  
@maks_malensek | (5GYWp1NM9J21QZzkouCDKCuBCnu92o921ySEcxdas2s3pUCg)
@palacinkar | (5Dy7z6RZGeGxusLPP1du5fmw8f7HxZd9V6FPcmgTFsFAp3da)   
@kalpakci | (5FxJ7z9tnscgL9xeqeo8sB3izwJKszFPdJSpRPWFr1y35Gcw)  
@0x2bc | (5DX9Vvk4uP8YNFSsvWGbjBcTG21PJbeLpgTRgCVpGQg2bDSx)  
@julysake | (5CFnUMpSNxXSkb3p2yaqw2rCdyqZbAUtx9SQVkPBYL5P5Jku)  
@joystreamstats | (5C8BEb4AwVmDnxkZmbh4PVxJR5TMQ7QxU6nZtYkqTAvXhUP3)  


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 10 | 0 |   

Role occupants:  
@igrex | (5H3hJqNb8Je2sfcGkxFQqsxn1FTy96bHrRW6wGCDwiLeCW1i)
@kiraa | (5G9Bpf8dgSgojMZyjCHMcGdvYpxX1gdgeUtnKahcY45Hysbm)  
@isonar | (5HT8Mty5U5hFKVwv24uFswX2e41vurU3F5rkLMoETR8XmjFy)  
@maxlevush | (5Gy9eib5P1vB4Tvr9u74J7rhxvHqv5qhTdP3xwFfkArHQWPe)  
@pascual | (5HKxxHLPF8ZHWiXndug9y4hRRnDiPUiWnRbutNCjcQ8ur14q)  
@lyazufey1812 | (5C5oxKQjb2TuqDPoC9GAVDJhH8FBG3Qe2Z139wMVFLo6FfZT)  
@prontera | (5F1vpNLWyXPhC6ydftv33XUmXaG1F6HrStYivfzvcnxX68Sn)  
@meskalin | (5GRBP7dYbiWxWLyo9u8V3KQ9sTbTEvtRkxJk28yR4rvuZTqF)  
@leet_joy | (5EqVuvYEyzCa7xuEZYw9FM5Vkd7FaTcq5CKKN2LuSNqqv8FP)   
@l1dev | (5DFb8Xr8FfQyiFMjURjQHqHfunfEb4jWLhF5q4HR6EHiJTe8)  


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2267|  2295 | 1.24 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 447 | 677  |  51.45 |
| Size of content (MB)        |  56522.06 |  85185.82 | 50.71          |
| Number of channels      |  129 | 151 | 17.05 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 53 | 55 | 3.77         |
| Number of threads    | 440| 451 | 2.5         |
| Number of posts      | 3247 | 3347            |  3.08        |