### Weekly Bounty Report

KPI 12.7 (Managing Community Bounties) requires a weekly report to be submitted: `Submit a weekly bounty report, outlining the status and progress for each bounty`. The council secretary or if available a dedicated bounty manager is responsible for compiling this report.

#### Notes
* The governance system/council is currently experiencing a very high volume of proposals, this has made a lot of progress with individual bounties that require council work to be severely delayed or stagnated.

* There is now a process being followed for adding each new bounty and work is being done to bring older bounties up to date.

#### Bounty documents
These files are required to be kept up to date so that the current status of bounties is accurately communicated to all actors on the platform. 

* Bounties Overview: https://github.com/Joystream/community-repo/tree/master/bounties-overview
	
	* This is currently up to date

* Bounty Status JSON: https://github.com/Joystream/community-repo/blob/master/bounties-overview/bounties-status.json

	* This is currently up to date


#### Bounty Overview
This table gives a brief overview of the status of each bounty. Since bounties all have different requirements and cover different types of work, some may require a process to hire an admin before they can become "live".

`Council adapted` refers to the Council taking a Jsgenesis bounty and adapting it via the process described in this proposal: https://testnet.joystream.org/#/proposals/168

| Bounty             | Title                                                                         | Status    | Council adapted | Admin Required? | Admin Hiring Status | Any applicants? | Any submissions? | % Complete |
|--------------------|-------------------------------------------------------------------------------|-----------|-----------------|-----------------|---------------------|-----------------|------------------|------------|
| 1                  | Update Telegram Bot                                                           | Complete  |                 |                 |                     |                 |                  |            |
| 2                  | Testing of 'polkadot-js'                                                      | Complete  |                 |                 |                     |                 |                  |            |
| 3                  | Improve Telegram Bot(s)                                                       | Complete  |                 |                 |                     |                 |                  |            |
| 4                  | Improve Telegram Bot(s)                                                       | Announced | No              |                 |                     |                 |                  |            |
| 5                  | JS Telegram Sticker pack                                                      | Complete  | Yes             | Yes             | Hired (@tomato)     |                 | Yes              | Complete   |
| 6                  | Increase Validator Research                                                   | Complete  |                 |                 |                     |                 |                  |            |
| 7                  | Joystream Player Loading                                                      | Withdrawn | N/A             | N/A             | N/A                 |                 | N/A              | N/A        |
| 8                  | Ledger on Joystream                                                           | Announced | No              |                 |                     |                 |                  |            |
| 9                  | Repo/Docs Improvements                                                        | Announced | Yes             | Yes             | Council Sec.        |                 |                  | Continuous |
| 10                 | Upload Public Domain Content                                                  | Announced | Partially       | Yes             | In progress         |                 | yes              | Continuous |
| 11                 | Design Community Repo Banner                                                  | Announced | In progress     | Yes             | In progress         |                 |                  | N/A        |
| 12                 | Deploy Reliable Endpoints                                                     | Announced | Yes             | No              | N/A                 | oiclid          | Yes (not voted)  |            |
| 13                 | Research Discord Bots                                                         | Announced | Yes             | No              | N/A                 | lopegor         |                  |            |
|                    |                                                                               |           |                 |                 |                     |                 |                  |            |
|                    |                                                                               |           |                 |                 |                     |                 |                  |            |

#### Bounty processes
Bounty processes are Github issues or forum threads that can be used to develop any processes required for managing bounties. It is important these processes pass through the governance process eventually and are improved upon over time. The goal of mentioning these processes in the report is so that people are aware of them and that they can be adapted, reused or improved upon which will make it easier for any future bounties.

| Bounty Processes |                                                                               |
|------------------|-------------------------------------------------------------------------------|
| GH Issue         | Description                                                                   |
| 104              | Create a standardized process for managing creative   bounties + competitions |
| 118              | Informal role hiring process                                                  |