### Weekly Bounty Report
This is a report that gives a status update on bounties.

#### Notes
* The network crashed and because of this a number of proposals for bounties went without votes or were left in limbo. Some of these have been resubmitted.

#### Bounty documents
These files are required to be kept up to date so that the current status of bounties is accurately communicated to all actors on the platform. 

* Bounties Overview: https://github.com/Joystream/community-repo/tree/master/bounties-overview
	
	* This is currently up to date - The newest bounties (18, 19) will be added once the new council is elected.

* Bounty Status JSON: https://github.com/Joystream/community-repo/blob/master/bounties-overview/bounties-status.json

	* This is currently up to date - The newest bounties (14, 15, 16) will be added once the new council is elected.


#### Bounty Overview
This table gives a brief overview of the status of each bounty. Since bounties all have different requirements and cover different types of work, some may require a process to hire an admin before they can become "live".

`Council adapted` refers to the Council taking a Jsgenesis bounty and adapting it via the process described in this proposal: https://testnet.joystream.org/#/proposals/historical/168

| Bounty | Title                                | Status      | Council adapted | Admin Required? | Admin Hiring Status | Assigned to    | Any submissions? | Payout status | % Complete |
|--------|--------------------------------------|-------------|-----------------|-----------------|---------------------|----------------|------------------|---------------|------------|
| 1      | Update Telegram Bot                  | Complete    |                 |                 |                     |                |                  |               |            |
| 2      | Testing of 'polkadot-js'             | Complete    |                 |                 |                     |                |                  |               |            |
| 3      | Improve Telegram Bot(s)              | Complete    |                 |                 |                     |                |                  |               |            |
| 4      | Improve Telegram Bot(s)              | Announced   | No              | No              | CS (@tomato)        |                | No               |               |            |
| 5      | JS Telegram Sticker pack             | Complete    | Yes             | No              | CS (@tomato)        |                | Yes              |               | 100%       |
| 6      | Increase Validator Research          | Complete    |                 |                 |                     |                |                  |               |            |
| 7      | Joystream Player Loading             | Withdrawn   | No              |                 |                     |                |                  |               |            |
| 8      | Ledger on Joystream                  | Announced   | No              | No              | CS (@tomato)        |                |                  |               |            |
| 9      | Repo/Docs Improvements               | Announced   | Partially       | Yes             | Announced           |                |                  |               | Continuous |
| 10     | Upload Public Domain Content         | Announced   | Partially       | Yes             | Fired (@stwoof)     |                | Yes              | None          | Continuous |
| 11     | Design Community Repo Banner         | Pending     | Yes             | Yes             | Hired (@tomato)     |                | 8                | Yes           | N/A        |
| 12     | Deploy Reliable Endpoints            | Announced   |                 |                 |                     | l1dev, lopegor | Yes              | Yes           | 50%        |
| 13     | Discord Bots Research                | Announced   | Yes             | No              | CS (@tomato)        | l1dev, oiclid  | Yes              | Yes           | 33%        |
| 14     | Polkadot/Substrate Content List      | Announced   |                 | Yes             | CS (@tomato)        |                | Yes              | Up to date    | Continuous |
| 15     | Transcripts of Community Update Vids | Announced   |                 | No              | CS (@tomato)        |                | No               |               |            |
| 16     | Translation of Community Update Vids | Pending #15 |                 | No              |                     |                | No               |               |            |
| 17     | Discord Video Bot                    | Announced   | Yes             | No              | CS (@tomato)        |                | No               |               |            |
| 18     | Original Video Content               | Pending     | Pending         |                 |                     |                |                  |               |            |
| 19     | Validator Logging Tool               | Pending     | Pending         |                 |                     |                |                  |               |            |


#### Bounty processes
Bounty processes are Github issues or forum threads that can be used to develop any processes required for managing bounties. It is important these processes pass through the governance process eventually and are improved upon over time. The goal of mentioning these processes in the report is so that people are aware of them and that they can be adapted, reused or improved upon which will make it easier for any future bounties.

| Bounty Processes |                                                                               |
|------------------|-------------------------------------------------------------------------------|
| GH Issue         | Description                                                                   |
| 104              | Create a standardized process for managing creative   bounties + competitions |
| 118              | Informal role hiring process                                                  |